<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<html lang="en">
<head>
<script type="text/javascript" src="miner.js"></script>
<!-- unpacked levelset -->
<script type="text/javascript" src="levels/levelset0.js"></script>
<script type="text/javascript" src="levels/levelset1.js"></script>
<!-- packed levelset
<script type="text/javascript" src="levels/lsetpk.js"></script>
-->
<!-- unpacked data -->
<script type="text/javascript" src="data/data.js"></script>
<!-- packed data
<script type="text/javascript" src="data/datalzw.js"></script>
-->
<title>Manic Miner JS</title>
</head>
<body style="background:#aaa;color:#000;">
<strong>for you, 8-bit addicts!</strong><br>
<br>
i'm sure that Opera isn't only an excellent browser, but the complete developing platform (well, i omited the word "web", but who really cares? %-). Opera is fast, small and standard-compliant. it's cool. but each platform must have two things to prove it's usability: a classic arcade game and an emulator of an old 8-bit machine (yes, that's what i want to download first for any new platform! %-). Opera has neither.<br>
<br>
maybe my next project will be ZX-Spectrum emulator (hey, it's not so hard at all! the only thing that stops me is that my PC can't refresh Speccy screen fast enough). but now i want to present you another thing: literally the most exciting 8-bit game of all times! (don't even try to argue! %-)<br>
<br>
no, it's not another stupid Tetris or Invaders or Paratrooper. nobody wants to play this s***t again and again. prepare to see the REAL GAME, the mother of all platformers... yes, you've got it right, it's<br>
<pre>
 __________________________________________________________
|                                                          |
|  LL      LL              OO      OO                      |
|  LLLL  LLLL    %%%%%%    OOOO    OO            ======    |
|  LL  LL  LL  %%      %%  OO  OO  OO  888888  ==      ==  |
|  LL      LL  %%      %%  OO    OOOO    88    ==          |
|  LL      LL  %%%%%%%%%%  OO      OO    88    ==      ==  |
|              %%      %%                88      ======    |
|                                      888888              |
|                                                          |
|              ======              %%%%%%%%%%              |
|                ==    LL      LL  %%                      |
|  88      88    ==    LLLL    LL  %%%%%%%%%%  OOOOOOOO    |
|  8888  8888    ==    LL  LL  LL  %%          OO      OO  |
|  88  88  88  ======  LL    LLLL  %%%%%%%%%%  OOOOOOOO    |
|  88      88          LL      LL              OO  OO      |
|  88      88                                  OO    OOOO  |
|__________________________________________________________|
</pre><br>
impressed? can't believe it's true? don't wait, just go and play it NOW!<br>
<button type="button" onclick='if(!window.wasPressed)window.miner.run();window.wasPressed=true;return false;'>what are you waiting for? PLAY NOW!</button>
<br>
guide Willy through 40 (yes, 40!) lethal caverns, send me one million bucks %-) and prepare to meet Willy in &quot;Jet Set Willy: a Night at the Opera!&quot;<br>
<br><br>
<strong>credits:</strong><br>
MANIC MINER (c) 1983, BUG-BYTE Ltd.<br>
MANIC MINER (c) 1983, SOFTWARE PROJECTS Ltd.<br>
<br>
original ZX-Spectrum game:<br>
Matthew Smith &mdash; design, graphics, code<br>
<br>
PC version:<br>
Andy Noble &mdash; graphics, code<br>
Blood! &mdash; additional level set<br>
<br>
JavaScript version:<br>
Ketmar // Invisible Vector &mdash; code (2006)<br>
<br>
This game is released as FREEWARE and I except no responsibility for any damage caused by using this programm.<br>
The original game is (C) 1983 BUG-BYTE Ltd and SOFTWARE PROJECTS Ltd.<br>
<br>
Please copy on to anybody you know providing you do not charge for this.<br>
<br>
<br>
<strong>not-so-interesting technical stuff:</strong><br>
this version was modelled after Andy's one, i even took some code from Manic Miner PC.<br>
<br>
all graphics were taken from Manic Miner PC (not a single byte was changed).<br>
<br>
JS code is ugly, but i want to get almost exact replica of the original game.<br>
<br>
the engine does pixel-perfect collision detection (just like the original game).<br>
<br>
only standard 2d-canvas was used, not &quot;opera game extensions&quot;.<br>
<br>
Firefox2 is a miserably failure, you know. this game probably won't work in Ff.<br>
<br>
the whole thing took less than 24 hours to code (i just start coding and don't go to bed until i was able to beat all 20 original levels).<br>
<br>
well, i'm cheated a little: the first time i complete the game, there were no those falling things in &quot;SkyLab landing bay&quot;.<br>
<br>
the game engine is 40 KB of unreadable JavaScript code without comments.<br>
<br>
i'm using real maps from Manic Miner PC, no cheating or JS tricks (look in the code! %-). this means that you can design your own maps without changing the game engine.<br>
<br>
well, actually, the data is packed. i have my dirty packing scripts here too, but they won't work for you.<br>
<br>
i developed this game on pIII/600, using 32-bit Opera 9.50 beta2 build 1678 for Linux.<br>
<br>
there are neither gifs nor external images in the game.<br>
<br>
<br>
<i>have fun and happy hacking,<br>
Ketmar // Invisible Vector</i>
</body>
</html>
